## fuse-exfat 1.2.3

=== debian/changelog ===
fuse-exfat (1.2.3-1) unstable; urgency=medium

  * New upstream release.
   + Fixed clusters loss when file renaming replaces target.

 -- Sven Hoexter <hoexter@debian.org>  Tue, 22 Dec 2015 14:21:58 +0100

fuse-exfat (1.2.2-1) unstable; urgency=low

  * New upstream release.
    + Drop patch kfreebsd-compat, applied upstream.

 -- Sven Hoexter <hoexter@debian.org>  Sun, 06 Dec 2015 14:28:59 +0100

fuse-exfat (1.2.1-2) unstable; urgency=low

  * Change source format to 3.0.
  * Add d/patches/kfreebsd-compat to support GNU/kfreebsd.

 -- Sven Hoexter <hoexter@debian.org>  Wed, 07 Oct 2015 13:06:29 +0200

fuse-exfat (1.2.1-1) unstable; urgency=low

  * New upstream release
    + Moves from scons to autotools.
    + Includes a fix for CVE-2015-8026.
  * Build-Depend on autotools-dev and pkg-config instead of scons.
  * Set --sbindir=/sbin to stay consistent with the current install location.
  * Remove d/install, no longer required.
  * Enable autotools_dev addon for debhelper.
  * Bump Standards-Version to 3.9.6 - no changes required.
  * Update Homepage and copyright years.
  * Readd a watch file pointing at the github release page.

 -- Sven Hoexter <hoexter@debian.org>  Wed, 07 Oct 2015 11:41:58 +0200

fuse-exfat (1.1.0-2) unstable; urgency=low

  * Remove debian/watch - recent changes at Google code required
    different download links which do not contain readable hrefs.
  * Extent debian/copyright up to 2014.
  * Update debian/copyright license statement - with 1.1.0 upstream
    relicensed from GPLv3 to GPLv2 or later.
  * Update link in debian/copyright to the download location.
  * Add "-D_GNU_SOURCE" unconditionally to the list of CCFLAGS, needed
    to build on kfreebsd.

 -- Sven Hoexter <hoexter@debian.org>  Mon, 01 Sep 2014 09:38:38 +0200

fuse-exfat (1.1.0-1) unstable; urgency=low

  * New upstream release (Closes: #759155). 
    + Fixes invalid inode output in df (Closes: # 746735)
  * Added "-Wall -std=c99" to the CFLAGS from the list of default
    flags given in the upstream SConstruct file.
  * Standards-Version: 3.9.5, no changes required.

 -- Sven Hoexter <hoexter@debian.org>  Mon, 25 Aug 2014 18:45:19 +0200

fuse-exfat (1.0.1-1) unstable; urgency=low

  * New upstream release
  * Remove all patches and usage of quilt.
  * Update years in debian/copyright.

 -- Sven Hoexter <hoexter@debian.org>  Thu, 07 Feb 2013 20:47:49 +0100

fuse-exfat (1.0.0-2) unstable; urgency=low

  * Build depend on quilt, use dh --with quilt.
  * Add debian/patches/fix-fuse-read-write-return-r336.patch
    Fixes "Operation not permitted" error reporting on empty files.
  * Add debian/patches/fix-unexpected-removal-on-dir-move-r337.patch
    Fixes unexpected removal of a directory if you move it into itself.

 -- Sven Hoexter <hoexter@debian.org>  Fri, 25 Jan 2013 22:48:16 +0100

fuse-exfat (1.0.0-1) unstable; urgency=low

  * New upstream release

 -- Sven Hoexter <hoexter@debian.org>  Tue, 23 Jan 2013 21:06:21 +0100

fuse-exfat (0.9.8-3) experimental; urgency=low

  * Revert the change from 0.9.8-2, the correct fix is
    to assign CFLAGS to CCFLAGS so the correct set of common
    flags will be picked up by scons.

 -- Sven Hoexter <hoexter@debian.org>  Thu, 25 Oct 2012 17:09:19 +0200

fuse-exfat (0.9.8-2) experimental; urgency=low

  * Build without -fPIE - hardening flags -pie.

 -- Sven Hoexter <hoexter@debian.org>  Thu, 25 Oct 2012 12:41:07 +0200

fuse-exfat (0.9.8-1) experimental; urgency=low

  * New upstream release.
  * Dropped all patches - merged upstream.
  * Dropped all usage of quilt - currently not required.
  * No longer use CFLAGS as CCFLAGS, the SConstruct file
    now honors CCFLAGS.
  
 -- Sven Hoexter <hoexter@debian.org>  Sun, 12 Aug 2012 20:05:10 +0200

fuse-exfat (0.9.7-2) unstable; urgency=low

  * Switch from dh compat level 8 to 9.
  * Enable all hardening flags via DEB_BUILD_MAINT_OPTIONS.
  * Export CFLAGS as CCFLAGS which is honored by the current
    SConstruct file.
  * Symlink mount.exfat-fuse to mount.exfat. This should ease the
    integration with the automount functionality in thunar.
    Thanks to Bob Valantin <valantin89@gmail.com>. (Closes: #673517)
  * Add debian/patches/honor-cppflags - scons should use exported CPPFLAGS.
  * Add debian/patches/utf16-fix - fix handling of characters beyond BMP.
    Thanks to Vladimir Serbinenko <phcoder@gmail.com>. (Closes: #672898)
  * Add build-dep on quilt, use dh quilt addon in debian/rules.
  * Add README.source to reference quilt.

 -- Sven Hoexter <hoexter@debian.org>  Mon, 21 May 2012 21:18:39 +0200

fuse-exfat (0.9.7-1) unstable; urgency=low

  * New upstream release.
  * Remove config.log, in the clean target (via override dh_auto_clean).
  * Bump Standards-Version to 3.9.3 - no changes required.

 -- Sven Hoexter <hoexter@debian.org>  Fri, 09 Mar 2012 21:20:25 +0100

fuse-exfat (0.9.6-1) unstable; urgency=low

  * New upstream release.

 -- Sven Hoexter <hoexter@debian.org>  Sat, 14 Jan 2012 18:20:33 +0100

fuse-exfat (0.9.5-1) unstable; urgency=low

  * Initial release. (Closes: #625611)

 -- Sven Hoexter <hoexter@debian.org>  Mon, 02 Jan 2012 12:58:18 +0100
