=== debian/control ===
Source: fuse-exfat
Section: otherosfs
Priority: optional
Maintainer: Sven Hoexter <hoexter@debian.org>
Build-Depends: debhelper (>= 9), libfuse-dev, autotools-dev, pkg-config
Standards-Version: 3.9.6
Homepage: https://github.com/relan/exfat
Vcs-Git: git://git.sven.stormbind.net/git/sven/fuse-exfat.git
Vcs-Browser: http://git.sven.stormbind.net/?p=sven/fuse-exfat.git

Package: exfat-fuse
Architecture: linux-any kfreebsd-any
Depends: ${shlibs:Depends}, ${misc:Depends}, fuse [linux-any], fuse4bsd [kfreebsd-any]
Recommends: exfat-utils
Description: read and write exFAT driver for FUSE 
 fuse-exfat is a read and write driver implementing
 the extended file allocation table as a filesystem in userspace.
 A mounthelper is provided unter the name mount.exfat-fuse.
