## fuse-exfat 1.2.5

=== debian/changelog ===
fuse-exfat (1.2.5-2~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Nicholas D Steeves <nsteeves@gmail.com>  Thu, 02 Feb 2017 14:37:49 -0500

fuse-exfat (1.2.5-2) unstable; urgency=medium

  * Move from autotools-dev to dh-autoreconf to ease backporting.
    Patch provided by Nicholas D Steeves. (Closes: #851920)

 -- Sven Hoexter <hoexter@debian.org>  Fri, 20 Jan 2017 11:05:59 +0100

fuse-exfat (1.2.5-1) unstable; urgency=medium

  * New upstream release.

 -- Sven Hoexter <hoexter@debian.org>  Wed, 07 Dec 2016 18:13:34 +0100

fuse-exfat (1.2.4-1) unstable; urgency=medium

  * New upstream release. Closes: #828057
  * Bump Standards-Version to 3.9.8 - no changes required.

 -- Sven Hoexter <hoexter@debian.org>  Sat, 25 Jun 2016 14:37:19 +0200
