## fuse-exfat 1.2.7

=== debian/changelog ===
fuse-exfat (1.2.7-1) unstable; urgency=medium

  * New upstream release.
   + Fixed handling of two last clusters: operations with files that occupy
     these clusters could fail. (Closes: #865487)
  * Update Standards-Version to 4.0.0.

 -- Sven Hoexter <hoexter@debian.org>  Sun, 25 Jun 2017 10:03:32 +0200

fuse-exfat (1.2.6-1) unstable; urgency=medium

  * New upstream release.

 -- Sven Hoexter <hoexter@debian.org>  Mon, 15 May 2017 17:26:51 +0200
