=== debian/control ===
--- 
+++ 
@@ -2,11 +2,11 @@
 Section: otherosfs
 Priority: optional
 Maintainer: Sven Hoexter <hoexter@debian.org>
-Build-Depends: debhelper (>= 9), libfuse-dev, autotools-dev, pkg-config
-Standards-Version: 3.9.6
+Build-Depends: debhelper (>= 9), libfuse-dev, pkg-config, dh-autoreconf
+Standards-Version: 4.0.0
 Homepage: https://github.com/relan/exfat
 Vcs-Git: git://git.sven.stormbind.net/git/sven/fuse-exfat.git
-Vcs-Browser: http://git.sven.stormbind.net/?p=sven/fuse-exfat.git
+Vcs-Browser: https://git.sven.stormbind.net/?p=sven/fuse-exfat.git
 
 Package: exfat-fuse
 Architecture: linux-any kfreebsd-any
