## fuse-exfat 1.2.8

=== debian/changelog ===
fuse-exfat (1.2.8-1) unstable; urgency=medium

  * New upstream release.
  * Increment dh compat level to 11.
  * Remove --with autoreconf from dh invocation, it's default since
    compat level 10.
  * Update VCS-Git URL to a working https endpoint.
  * Update Standards-Version to 4.3.1.

 -- Sven Hoexter <hoexter@debian.org>  Sat, 03 Feb 2018 19:35:26 +0100
