## fuse-exfat 1.3.0

=== debian/changelog ===
fuse-exfat (1.3.0-2) unstable; urgency=medium

  * Drop "mount.exfat" symlink to the mount helper in the
    wake of the exfat support inside Linux. Adding a debian/NEWS
    file to make this change more visible. (Closes: #963752)
  * Update Standards-Version to 4.5.0 - no changes required.
  * Update dh compat level to 13.
  * Remove kfreebsd dependency on fuse4bsd - the package was
    dropped from the archive some time ago.
  * Update debian/copyright for the year 2020.
  * Declare in debian/control "Rules-Requires-Root: no" to build
    without root permission.

 -- Sven Hoexter <hoexter@debian.org>  Mon, 29 Jun 2020 09:55:51 +0200

fuse-exfat (1.3.0-1) unstable; urgency=medium

  * New upstream release.
  * Update d/copyright up to 2018.
  * Move debhelper compat level definition to Build-Depends.
  * Increase Standards-Version to 4.2.1 - no changes required.

 -- Sven Hoexter <hoexter@debian.org>  Wed, 31 Oct 2018 22:23:28 +0100
