## fuse-exfat 1.3.0+git20220115

=== debian/changelog ===
fuse-exfat (1.3.0+git20220115-2) unstable; urgency=medium

  * Upload to unstable to give it a bit more exposure.

 -- Sven Hoexter <hoexter@debian.org>  Sat, 22 Jan 2022 20:14:20 +0100

fuse-exfat (1.3.0+git20220115-1) experimental; urgency=medium

  * Snapshot from upstream git repo at commit
    11e4f032d1782a606e3b004c89990a72cadf91bf
  * Update Standards-Version to 4.6.0 - no changes required.
  * Update debian/copyright to 2022.
  * Update debian/watch to version 4.
  * Recommend exfatprogs instead of the removed exfat-utils.

 -- Sven Hoexter <hoexter@debian.org>  Sat, 15 Jan 2022 22:16:22 +0100
