=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Sven Hoexter <hoexter@debian.org>
 Build-Depends: debhelper-compat (= 13), libfuse-dev, pkg-config
 Rules-Requires-Root: no
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Homepage: https://github.com/relan/exfat
 Vcs-Git: https://git.sven.stormbind.net/fuse-exfat.git
 Vcs-Browser: https://git.sven.stormbind.net/?p=sven/fuse-exfat.git
@@ -12,7 +12,7 @@
 Package: exfat-fuse
 Architecture: linux-any kfreebsd-any
 Depends: ${shlibs:Depends}, ${misc:Depends}, fuse
-Recommends: exfat-utils
+Recommends: exfatprogs
 Description: read and write exFAT driver for FUSE
  fuse-exfat is a read and write driver implementing
  the extended file allocation table as a filesystem in userspace.
