=== debian/rules ===
--- 
+++ 
@@ -10,3 +10,7 @@
 override_dh_auto_configure:
 	dh_auto_configure -- \
 		--sbindir=/sbin \
+
+override_dh_auto_install:
+	dh_auto_install
+	rm debian/exfat-fuse/sbin/mount.exfat
