=== debian/watch ===
version=4
https://github.com/relan/exfat/releases .*/fuse-exfat-(\d\S*)\.tar\.gz
