## fuse-exfat 1.3.0.3

=== debian/changelog ===
fuse-exfat (1.3.0.3-1+deepin) unstable; urgency=low

  * ['Autobuild release-candidate: 3157a3b9436eb7cd38f88934ad28a931076119bf']

 -- shuttle <shuttle@deepin.com>  Thu, 05 Mar 2020 16:12:51 +0000
