## fuse-exfat 1.4.0

=== debian/changelog ===
fuse-exfat (1.4.0-4) unstable; urgency=medium

  * Remove dh_auto_configure override, use the defaults.
  * d/control: Drop Rules-Requires-Root: no, it's the default now.
  * Update to Standards-Version 4.7.3, remove the Priority field.
  * d/watch: Update to version 5.
  * d/copyright: Remove old FSF postal address.

 -- Sven Hoexter <hoexter@debian.org>  Tue, 06 Jan 2026 22:46:42 +0100

fuse-exfat (1.4.0-3) unstable; urgency=medium

  * UsrMerge, install with prefix /usr. (Closes: #1073755)
  * Build depend on pkgconf instead of pkg-config.
  * Update Standards-Version to 4.7.0 - no changes required.

 -- Sven Hoexter <hoexter@debian.org>  Tue, 18 Jun 2024 13:25:35 +0200

fuse-exfat (1.4.0-2) unstable; urgency=medium

  * Drop kfreebsd-any from the architecture list since it's going to
    vanish soon.
  * Drop explicit dependency on the fuse binary package, not required
    and should've been fuse3 by now.

 -- Sven Hoexter <hoexter@debian.org>  Wed, 14 Jun 2023 17:35:16 +0200

fuse-exfat (1.4.0-1) experimental; urgency=medium

  * New upstream release, includes fix for
    CVE-2022-29973 (Closes: #1014538).
  * Update debian/watch to query the GitHub API.
  * Build-Depend on libfuse3-dev. Supported upstream starting with
    1.4.0.
  * Update debian/copyright. Drop year from my own copyright line.
  * Update Standards-Version to 4.6.2.

 -- Sven Hoexter <hoexter@debian.org>  Fri, 03 Mar 2023 15:43:18 +0100
